AnnotationView
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.views
Class AnnotationView

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.views.BaseCollectionView<E,P>
          org.gcube.contentmanagement.gcubedocumentlibrary.views.SimpleView<GCubeAnnotation,PropertyTypes.AnnotationProperty>
              org.gcube.contentmanagement.gcubedocumentlibrary.views.AnnotationView

All Implemented Interfaces:
  CollectionView<GCubeAnnotation,PropertyTypes.AnnotationProperty>

    public class AnnotationView

extends SimpleView<GCubeAnnotation,PropertyTypes.AnnotationProperty>

A `SimpleView` over `GCubeAnnotation`s.

Author:
  Fabio Simeoni (University of Strathclyde)

Field Summary
`static java.lang.String` | `PLUGIN`
`static javax.xml.namespace.QName` | `TYPE`

Constructor Summary
`AnnotationView()`
`AnnotationView(GCUBEScope s)`
`AnnotationView(View v)`
`AnnotationView(View v, GCUBEScope s)`
`AnnotationView(View v, GCUBEScope s, GCUBESecurityManager m)`
`AnnotationView(View v, GCUBESecurityManager m)`

Method Summary
`java.util.List<AnnotationView>` | `findSimilar()` Returns proxies for all the views that share the same properties as the view associated with this proxy.
`Projection<GCubeAnnotation,PropertyTypes.AnnotationProperty>` | `projection()` Returns the `Projection` that defines the view.
`javax.xml.namespace.QName` | `type()` Returns the type of the view.

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.views.SimpleView
`isEditable, isIndexable, isUserCollection, language, schemaName, schemaURI, setEditable, setIndexable, setLanguage, setProjection, setSchemaName, setSchemaURI, setUserCollection`

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.views.BaseCollectionView
`addProperty, addProperty, cardinality, collectionId, delete, description, id, inner, isBound, lastUpdate, name, properties, publish, publishAndBroadcast, reader, scope, securityManager, setCollectionId, setDescription, setId, setName, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final javax.xml.namespace.QName TYPE

### PLUGIN

    public static final java.lang.String PLUGIN

See Also:
  Constant Field Values

Constructor Detail

### AnnotationView

    public AnnotationView()

See Also:
  `BaseCollectionView.BaseCollectionView()`

### AnnotationView

    public AnnotationView(GCUBEScope s)

See Also:
  `BaseCollectionView.BaseCollectionView(GCUBEScope)`

### AnnotationView

    public AnnotationView(View v)

See Also:
  `BaseCollectionView.BaseCollectionView(View)`

### AnnotationView

    public AnnotationView(View v,
                          GCUBEScope s)

See Also:
  `BaseCollectionView.BaseCollectionView(View, GCUBEScope)`

### AnnotationView

    public AnnotationView(View v,
                          GCUBESecurityManager m)

See Also:
  `BaseCollectionView.BaseCollectionView(View, GCUBESecurityManager)`

### AnnotationView

    public AnnotationView(View v,
                          GCUBEScope s,
                          GCUBESecurityManager m)

See Also:
  `BaseCollectionView.BaseCollectionView(View, GCUBEScope, GCUBESecurityManager)`

Method Detail

### type

    public javax.xml.namespace.QName type()

  Returns the type of the view.

  Specified by:
    `type` in interface `CollectionView<GCubeAnnotation,PropertyTypes.AnnotationProperty>`
  Overrides:
    `type` in class `BaseCollectionView<GCubeAnnotation,PropertyTypes.AnnotationProperty>`
  Returns:
    the type.

### projection

    public Projection<GCubeAnnotation,PropertyTypes.AnnotationProperty> projection()

  Returns the `Projection` that defines the view.

  Returns:
    the projection.

### findSimilar

    public java.util.List<AnnotationView> findSimilar()
                                               throws ISException,
                                                      java.lang.Exception

  Returns proxies for all the views that share the same properties as the view associated with this proxy.

  Throws:
    `java.lang.Exception` - if the operation could not be completed due to local errors.
    `ISException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD